[lfs-support] Error during Glibc Installation

Bruce Dubbs bruce.dubbs at gmail.com
Sun Jan 15 10:57:04 PST 2012


Uthayanan wrote:

>> lfsuthayan at ubuntu:~$ bash version-check.sh
>> bash, version 4.2.8(1)-release
>> /bin/sh -> /bin/bash
>> Binutils: (GNU Binutils for Ubuntu) 2.21.0.20110327
>> bison (GNU Bison) 2.4.1
>> /usr/bin/yacc -> /usr/bin/bison.yacc
>> bzip2,  Version 1.0.5, 10-Dec-2007.
>> Coreutils:  8.5
>> diff (GNU diffutils) 3.0
>> find (GNU findutils) 4.4.2
>> GNU Awk 3.1.7
>> /usr/bin/awk -> /usr/bin/gawk
>> gcc (Ubuntu/Linaro 4.5.2-8ubuntu4) 4.5.2
>> version-check.sh: line 22: /lib/libc.so.6: No such file or directory

We just changed this in svn.  Use:

ldd --version | head -n1 | cut -d" " -f2-

>> GNU grep 2.6.3
>> gzip 1.3.12
>> Linux version 2.6.38-8-generic (buildd at vernadsky) (gcc version 4.5.2
>> (Ubuntu/Linaro 4.5.2-8ubuntu3) ) #42-Ubuntu SMP Mon Apr 11 03:31:50 UTC 2011
>> m4 (GNU M4) 1.4.14
>> GNU Make 3.81
>> patch 2.6
>> Perl version='5.10.1';
>> GNU sed version 4.2.1
>> tar (GNU tar) 1.25
>> version-check.sh: line 32: makeinfo: command not found
>> Texinfo:

Install texinfo.

>> xz (XZ Utils) 5.0.0
>> Compilation OK

The other prereqs are OK.

> There's no glibc in ubuntu so I did try to install that to the host system.

Don't do that.

   -- Bruce



More information about the lfs-support mailing list